Subject: [netatalk-admins] Still having problems with AppleVolumes.default

From: Mitch McNeel <[email-masked]>
Date: Mon, 14 Sep 1998 09:44:45 -0700

Hi all admin.'s

        Attached you will find a copy of my afpd make output....  I see
that my default $(ETCDIR) is what I need it to be, but for some reason I
still can't get my volume to mount when a user logs in (they only see
their home dirs.), which I know that the AppleVolumes.default file is
being read, since they see their home dirs....  even if I chmod all
directories in /opt to 777 they still can't mount the shared volume...
I've even tried the -f option for afpd and forced the path to be
/opt/netatalk/etc/AppleVolumes.default...  Any help or Ideas will be
greatly appreciated.

Thanks
Mitch
cd ../../etc; make  CC="gcc" \
    ADDLIBS="-lsocket -lresolv -lnsl" DEFS="-D__svr4__ -DSOLARIS -I../../sys/solaris" OPTOPTS="-O" \
    SBINDIR="/opt/netatalk/etc" BINDIR="/opt/netatalk/bin" RESDIR="/opt/netatalk/etc" \
    ETCDIR="/opt/netatalk/etc" LIBDIR="/opt/netatalk/lib" INCDIR="/opt/netatalk/include" \
    DESTDIR="/opt/netatalk" AFSDIR="" KRBDIR="" all
cd afpd; make  CC="gcc" \
    ADDLIBS="-lsocket -lresolv -lnsl" DEFS="-D__svr4__ -DSOLARIS -I../../sys/solaris" OPTOPTS="-O" \
    SBINDIR="/opt/netatalk/etc" BINDIR="/opt/netatalk/bin" RESDIR="/opt/netatalk/etc" \
    ETCDIR="/opt/netatalk/etc" LIBDIR="/opt/netatalk/lib" INCDIR="/opt/netatalk/include" \
    DESTDIR="/opt/netatalk" AFSDIR="" KRBDIR="" \
    DESDIR="" TCPWRAPDIR="" PAMDIR=""
if [ x"" != x ]; then \
    KRBLIBS="-lkrb -ldes"; \
    KRBLIBDIRS="-L/lib"; \
    KRBINCPATH="-I/include"; \
    KRBDEFS="-DKRB"; \
fi; \
if [ x"" != x ]; then \
    AFSLIBS="-lkauth -lprot -lubik -lauth -lsys -lrxkad -lrx -laudit \
        -llwp -lcmd -lcom_err /lib/afs/util.a -ldes"; \
    AFSLIBDIRS="-L/lib -L/lib/afs"; \
    AFSINCPATH="-I/include"; \
    AFSDEFS="-DAFS"; \
fi; \
if [ x"" != x ]; then \
    DESLIBS="-ldes"; \
    if [ "" != "/usr" ]; then \
      DESLIBDIRS="-L/lib"; \
      DESINCPATH="-I/include"; \
    fi; \
    DESDEFS="-DUAM_RNDNUM"; \
fi; \
if [ x"" != x ]; then \
    TCPWRAPLIBS="-lwrap"; \
    if [ "" != "/usr" ]; then \
      TCPWRAPLIBDIRS="-L/lib"; \
    fi; \
fi; \
if [ x"" != x ]; then \
    PAMLIBS="-lpam -ldl"; \
    if [ "" != "/usr" ]; then \
      PAMLIBDIRS="-L/lib"; \
      PAMINCPATH="-I/include"; \
    fi; \
    PAMDEFS="-DUSE_PAM"; \
fi; \
make  CC="gcc" ADDLIBS="-lsocket -lresolv -lnsl" DEFS="-D__svr4__ -DSOLARIS -I../../sys/solaris" \
    OPTOPTS="-O" DESTDIR="/opt/netatalk" DESDIR="" \
    SBINDIR="/opt/netatalk/etc" BINDIR="/opt/netatalk/bin" RESDIR="/opt/netatalk/etc" \
    ETCDIR="/opt/netatalk/etc" LIBDIR="/opt/netatalk/lib" INCDIR="/opt/netatalk/include" \
    PAMDIR="" TCPWRAPDIR="" \
    KRBLIBS="${KRBLIBS}" KRBLIBDIRS="${KRBLIBDIRS}" \
    KRBINCPATH="${KRBINCPATH}" KRBDEFS="${KRBDEFS}" \
    AFSLIBS="${AFSLIBS}" AFSLIBDIRS="${AFSLIBDIRS}" \
    DESLIBS="${DESLIBS}" DESLIBDIRS="${DESLIBDIRS}" \
    PAMLIBS="${PAMLIBS}" PAMLIBDIRS="${PAMLIBDIRS}" \
    TCPWRAPLIBS="${TCPWRAPLIBS}" TCPWRAPLIBDIRS="${TCPWRAPLIBDIRS}" \
    DESINCPATH="${DESINCPATH}" DESDEFS="${DESDEFS}" \
    PAMINCPATH="${PAMINCPATH}" PAMDEFS="${PAMDEFS}" \
    AFSINCPATH="${AFSINCPATH}" AFSDEFS="${AFSDEFS}" \
    afpd
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  unix.c
In file included from unix.c:13:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  afs.c
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  kuam.c
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  send_to_kdc.c
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  lifetime.c
In file included from lifetime.c:15:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  ofork.c
In file included from ../../include/atalk/adouble.h:37,
                 from ofork.c:12:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
ofork.c: In function `of_findname':
ofork.c:170: warning: passing arg 1 of `hashfn' discards `const' from pointer target type
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  main.c
In file included from main.c:20:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  switch.c
In file included from ../../include/atalk/afp.h:28,
                 from switch.c:26:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  auth.c
In file included from auth.c:16:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
auth.c: In function `check_user':
auth.c:676: warning: assignment makes pointer from integer without a cast
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  volume.c
In file included from volume.c:11:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  directory.c
In file included from directory.c:12:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  file.c
In file included from file.c:12:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  enumerate.c
In file included from enumerate.c:10:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  desktop.c
In file included from desktop.c:15:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  filedir.c
In file included from filedir.c:11:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  fork.c
In file included from fork.c:12:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  appl.c
In file included from appl.c:10:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  gettok.c
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  bprint.c
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  status.c
In file included from status.c:17:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
status.c: In function `status_server':
status.c:63: warning: assignment discards `const' from pointer target type
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF \
    -D_PATH_AFPDDEFVOL=\"/opt/netatalk/etc/AppleVolumes.default\" \
    -D_PATH_AFPDSYSVOL=\"/opt/netatalk/etc/AppleVolumes.system\" \
    -D_NAME_AFPDPWFILE=\".passwd\" \
    -D_PATH_AFPDCONF=\"/opt/netatalk/etc/afpd.conf\" \
    -D_PATH_AFPDUAMPATH=\"/opt/netatalk/etc/uams/\" \
     -c afp_options.c
In file included from ../../include/atalk/afp.h:28,
                 from globals.h:12,
                 from afp_options.c:17:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  afp_asp.c
In file included from afp_asp.c:18:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  afp_dsi.c
In file included from ../../include/atalk/afp.h:28,
                 from ../../include/atalk/dsi.h:17,
                 from afp_dsi.c:20:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
afp_dsi.c: In function `afp_over_dsi':
afp_dsi.c:120: warning: passing arg 2 of `setitimer' discards `const' from pointer target type
afp_dsi.c:160: warning: passing arg 2 of `setitimer' discards `const' from pointer target type
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  messages.c
In file included from ../../include/atalk/afp.h:28,
                 from messages.c:7:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF \
    -DVERSION=\"`cat ../../VERSION`\" \
     -c config.c
In file included from ../../include/atalk/afp.h:28,
                 from ../../include/atalk/dsi.h:17,
                 from config.c:10:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -c  nfsquota.c
In file included from ../../include/atalk/afp.h:28,
                 from nfsquota.c:28:
../../include/netatalk/endian.h:51: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
gcc -D__svr4__ -DSOLARIS -I../../sys/solaris    -O -I../../include        -DAPPLCNAME -DCRLF  -o afpd unix.o afs.o kuam.o send_to_kdc.o lifetime.o ofork.o  main.o switch.o auth.o volume.o directory.o file.o  enumerate.o desktop.o filedir.o fork.o appl.o gettok.o bprint.o  status.o afp_options.o afp_asp.o afp_dsi.o messages.o config.o  nfsquota.o -L../../libatalk       -latalk    -lsocket -lresolv -lnsl     -lrpcsvc
cd atalkd; make  CC="gcc" \